diff -rupN pjproject-2.5.5/build.mak.in pjproject-2.5.5-new/build.mak.in
--- pjproject-2.5.5/build.mak.in	2016-06-28 16:32:08.000000000 +0200
+++ pjproject-2.5.5-new/build.mak.in	2017-01-05 14:15:09.540515353 +0100
@@ -201,64 +201,64 @@ export APP_LDFLAGS := -L$(PJDIR)/pjlib/l
 export APP_LDXXFLAGS := $(APP_LDFLAGS)
 
 export APP_LIB_FILES := \
-	$(PJ_DIR)/pjsip/lib/libpjsua-$(LIB_SUFFIX) \
-	$(PJ_DIR)/pjsip/lib/libpjsip-ua-$(LIB_SUFFIX) \
-	$(PJ_DIR)/pjsip/lib/libpjsip-simple-$(LIB_SUFFIX) \
-	$(PJ_DIR)/pjsip/lib/libpjsip-$(LIB_SUFFIX) \
-	$(PJ_DIR)/pjmedia/lib/libpjmedia-codec-$(LIB_SUFFIX) \
-	$(PJ_DIR)/pjmedia/lib/libpjmedia-videodev-$(LIB_SUFFIX) \
-	$(PJ_DIR)/pjmedia/lib/libpjmedia-$(LIB_SUFFIX) \
-	$(PJ_DIR)/pjmedia/lib/libpjmedia-audiodev-$(LIB_SUFFIX) \
-	$(PJ_DIR)/pjnath/lib/libpjnath-$(LIB_SUFFIX) \
-	$(PJ_DIR)/pjlib-util/lib/libpjlib-util-$(LIB_SUFFIX) \
+	$(PJ_DIR)/pjsip/lib/libpjgnutlssua-$(LIB_SUFFIX) \
+	$(PJ_DIR)/pjsip/lib/libpjgnutlssip-ua-$(LIB_SUFFIX) \
+	$(PJ_DIR)/pjsip/lib/libpjgnutlssip-simple-$(LIB_SUFFIX) \
+	$(PJ_DIR)/pjsip/lib/libpjgnutlssip-$(LIB_SUFFIX) \
+	$(PJ_DIR)/pjmedia/lib/libpjgnutlsmedia-codec-$(LIB_SUFFIX) \
+	$(PJ_DIR)/pjmedia/lib/libpjgnutlsmedia-videodev-$(LIB_SUFFIX) \
+	$(PJ_DIR)/pjmedia/lib/libpjgnutlsmedia-$(LIB_SUFFIX) \
+	$(PJ_DIR)/pjmedia/lib/libpjgnutlsmedia-audiodev-$(LIB_SUFFIX) \
+	$(PJ_DIR)/pjnath/lib/libpjgnutlsnath-$(LIB_SUFFIX) \
+	$(PJ_DIR)/pjlib-util/lib/libpjgnutlslib-util-$(LIB_SUFFIX) \
 	$(APP_THIRD_PARTY_LIB_FILES) \
-	$(PJ_DIR)/pjlib/lib/libpj-$(LIB_SUFFIX)
+	$(PJ_DIR)/pjlib/lib/libpjgnutls-$(LIB_SUFFIX)
 export APP_LIBXX_FILES := \
-	$(PJ_DIR)/pjsip/lib/libpjsua2-$(LIB_SUFFIX) \
+	$(PJ_DIR)/pjsip/lib/libpjgnutlssua2-$(LIB_SUFFIX) \
 	$(APP_LIB_FILES)
 
 ifeq ($(PJ_SHARED_LIBRARIES),)
-export PJLIB_LDLIB := -lpj-$(TARGET_NAME)
-export PJLIB_UTIL_LDLIB := -lpjlib-util-$(TARGET_NAME)
-export PJNATH_LDLIB := -lpjnath-$(TARGET_NAME)
-export PJMEDIA_AUDIODEV_LDLIB := -lpjmedia-audiodev-$(TARGET_NAME)
-export PJMEDIA_VIDEODEV_LDLIB := -lpjmedia-videodev-$(TARGET_NAME)
-export PJMEDIA_LDLIB := -lpjmedia-$(TARGET_NAME)
-export PJMEDIA_CODEC_LDLIB := -lpjmedia-codec-$(TARGET_NAME)
-export PJSIP_LDLIB := -lpjsip-$(TARGET_NAME)
-export PJSIP_SIMPLE_LDLIB := -lpjsip-simple-$(TARGET_NAME)
-export PJSIP_UA_LDLIB := -lpjsip-ua-$(TARGET_NAME)
-export PJSUA_LIB_LDLIB := -lpjsua-$(TARGET_NAME)
-export PJSUA2_LIB_LDLIB := -lpjsua2-$(TARGET_NAME)
+export PJLIB_LDLIB := -lpjgnutls-$(TARGET_NAME)
+export PJLIB_UTIL_LDLIB := -lpjgnutlslib-util-$(TARGET_NAME)
+export PJNATH_LDLIB := -lpjgnutlsnath-$(TARGET_NAME)
+export PJMEDIA_AUDIODEV_LDLIB := -lpjgnutlsmedia-audiodev-$(TARGET_NAME)
+export PJMEDIA_VIDEODEV_LDLIB := -lpjgnutlsmedia-videodev-$(TARGET_NAME)
+export PJMEDIA_LDLIB := -lpjgnutlsmedia-$(TARGET_NAME)
+export PJMEDIA_CODEC_LDLIB := -lpjgnutlsmedia-codec-$(TARGET_NAME)
+export PJSIP_LDLIB := -lpjgnutlssip-$(TARGET_NAME)
+export PJSIP_SIMPLE_LDLIB := -lpjgnutlssip-simple-$(TARGET_NAME)
+export PJSIP_UA_LDLIB := -lpjgnutlssip-ua-$(TARGET_NAME)
+export PJSUA_LIB_LDLIB := -lpjgnutlssua-$(TARGET_NAME)
+export PJSUA2_LIB_LDLIB := -lpjgnutlssua2-$(TARGET_NAME)
 else
-export PJLIB_LDLIB := -lpj
-export PJLIB_UTIL_LDLIB := -lpjlib-util
-export PJNATH_LDLIB := -lpjnath
-export PJMEDIA_AUDIODEV_LDLIB := -lpjmedia-audiodev
-export PJMEDIA_VIDEODEV_LDLIB := -lpjmedia-videodev
-export PJMEDIA_LDLIB := -lpjmedia
-export PJMEDIA_CODEC_LDLIB := -lpjmedia-codec
-export PJSIP_LDLIB := -lpjsip
-export PJSIP_SIMPLE_LDLIB := -lpjsip-simple
-export PJSIP_UA_LDLIB := -lpjsip-ua
-export PJSUA_LIB_LDLIB := -lpjsua
-export PJSUA2_LIB_LDLIB := -lpjsua2
-
-export ADD_LIB_FILES := $(PJ_DIR)/pjsip/lib/libpjsua.$(SHLIB_SUFFIX).$(PJ_VERSION_MAJOR) $(PJ_DIR)/pjsip/lib/libpjsua.$(SHLIB_SUFFIX) \
-	$(PJ_DIR)/pjsip/lib/libpjsip-ua.$(SHLIB_SUFFIX).$(PJ_VERSION_MAJOR) $(PJ_DIR)/pjsip/lib/libpjsip-ua.$(SHLIB_SUFFIX) \
-	$(PJ_DIR)/pjsip/lib/libpjsip-simple.$(SHLIB_SUFFIX).$(PJ_VERSION_MAJOR) $(PJ_DIR)/pjsip/lib/libpjsip-simple.$(SHLIB_SUFFIX) \
-	$(PJ_DIR)/pjsip/lib/libpjsip.$(SHLIB_SUFFIX).$(PJ_VERSION_MAJOR) $(PJ_DIR)/pjsip/lib/libpjsip.$(SHLIB_SUFFIX) \
-	$(PJ_DIR)/pjmedia/lib/libpjmedia-codec.$(SHLIB_SUFFIX).$(PJ_VERSION_MAJOR) $(PJ_DIR)/pjmedia/lib/libpjmedia-codec.$(SHLIB_SUFFIX) \
-	$(PJ_DIR)/pjmedia/lib/libpjmedia-videodev.$(SHLIB_SUFFIX).$(PJ_VERSION_MAJOR) $(PJ_DIR)/pjmedia/lib/libpjmedia-videodev.$(SHLIB_SUFFIX) \
-	$(PJ_DIR)/pjmedia/lib/libpjmedia.$(SHLIB_SUFFIX).$(PJ_VERSION_MAJOR) $(PJ_DIR)/pjmedia/lib/libpjmedia.$(SHLIB_SUFFIX) \
-	$(PJ_DIR)/pjmedia/lib/libpjmedia-audiodev.$(SHLIB_SUFFIX).$(PJ_VERSION_MAJOR) $(PJ_DIR)/pjmedia/lib/libpjmedia-audiodev.$(SHLIB_SUFFIX) \
-	$(PJ_DIR)/pjnath/lib/libpjnath.$(SHLIB_SUFFIX).$(PJ_VERSION_MAJOR) $(PJ_DIR)/pjnath/lib/libpjnath.$(SHLIB_SUFFIX) \
-	$(PJ_DIR)/pjlib-util/lib/libpjlib-util.$(SHLIB_SUFFIX).$(PJ_VERSION_MAJOR) $(PJ_DIR)/pjlib-util/lib/libpjlib-util.$(SHLIB_SUFFIX) \
-	$(PJ_DIR)/pjlib/lib/libpj.$(SHLIB_SUFFIX).$(PJ_VERSION_MAJOR) $(PJ_DIR)/pjlib/lib/libpj.$(SHLIB_SUFFIX)
+export PJLIB_LDLIB := -lpjgnutls
+export PJLIB_UTIL_LDLIB := -lpjgnutlslib-util
+export PJNATH_LDLIB := -lpjgnutlsnath
+export PJMEDIA_AUDIODEV_LDLIB := -lpjgnutlsmedia-audiodev
+export PJMEDIA_VIDEODEV_LDLIB := -lpjgnutlsmedia-videodev
+export PJMEDIA_LDLIB := -lpjgnutlsmedia
+export PJMEDIA_CODEC_LDLIB := -lpjgnutlsmedia-codec
+export PJSIP_LDLIB := -lpjgnutlssip
+export PJSIP_SIMPLE_LDLIB := -lpjgnutlssip-simple
+export PJSIP_UA_LDLIB := -lpjgnutlssip-ua
+export PJSUA_LIB_LDLIB := -lpjgnutlssua
+export PJSUA2_LIB_LDLIB := -lpjgnutlssua2
+
+export ADD_LIB_FILES := $(PJ_DIR)/pjsip/lib/libpjgnutlssua.$(SHLIB_SUFFIX).$(PJ_VERSION_MAJOR) $(PJ_DIR)/pjsip/lib/libpjgnutlssua.$(SHLIB_SUFFIX) \
+	$(PJ_DIR)/pjsip/lib/libpjgnutlssip-ua.$(SHLIB_SUFFIX).$(PJ_VERSION_MAJOR) $(PJ_DIR)/pjsip/lib/libpjgnutlssip-ua.$(SHLIB_SUFFIX) \
+	$(PJ_DIR)/pjsip/lib/libpjgnutlssip-simple.$(SHLIB_SUFFIX).$(PJ_VERSION_MAJOR) $(PJ_DIR)/pjsip/lib/libpjgnutlssip-simple.$(SHLIB_SUFFIX) \
+	$(PJ_DIR)/pjsip/lib/libpjgnutlssip.$(SHLIB_SUFFIX).$(PJ_VERSION_MAJOR) $(PJ_DIR)/pjsip/lib/libpjgnutlssip.$(SHLIB_SUFFIX) \
+	$(PJ_DIR)/pjmedia/lib/libpjgnutlsmedia-codec.$(SHLIB_SUFFIX).$(PJ_VERSION_MAJOR) $(PJ_DIR)/pjmedia/lib/libpjgnutlsmedia-codec.$(SHLIB_SUFFIX) \
+	$(PJ_DIR)/pjmedia/lib/libpjgnutlsmedia-videodev.$(SHLIB_SUFFIX).$(PJ_VERSION_MAJOR) $(PJ_DIR)/pjmedia/lib/libpjgnutlsmedia-videodev.$(SHLIB_SUFFIX) \
+	$(PJ_DIR)/pjmedia/lib/libpjgnutlsmedia.$(SHLIB_SUFFIX).$(PJ_VERSION_MAJOR) $(PJ_DIR)/pjmedia/lib/libpjgnutlsmedia.$(SHLIB_SUFFIX) \
+	$(PJ_DIR)/pjmedia/lib/libpjgnutlsmedia-audiodev.$(SHLIB_SUFFIX).$(PJ_VERSION_MAJOR) $(PJ_DIR)/pjmedia/lib/libpjgnutlsmedia-audiodev.$(SHLIB_SUFFIX) \
+	$(PJ_DIR)/pjnath/lib/libpjgnutlsnath.$(SHLIB_SUFFIX).$(PJ_VERSION_MAJOR) $(PJ_DIR)/pjnath/lib/libpjgnutlsnath.$(SHLIB_SUFFIX) \
+	$(PJ_DIR)/pjlib-util/lib/libpjgnutlslib-util.$(SHLIB_SUFFIX).$(PJ_VERSION_MAJOR) $(PJ_DIR)/pjlib-util/lib/libpjgnutlslib-util.$(SHLIB_SUFFIX) \
+	$(PJ_DIR)/pjlib/lib/libpjgnutls.$(SHLIB_SUFFIX).$(PJ_VERSION_MAJOR) $(PJ_DIR)/pjlib/lib/libpjgnutls.$(SHLIB_SUFFIX)
 
 APP_LIB_FILES += $(ADD_LIB_FILES)
 
-APP_LIBXX_FILES += $(PJ_DIR)/pjsip/lib/libpjsua2.$(SHLIB_SUFFIX).$(PJ_VERSION_MAJOR) $(PJ_DIR)/pjsip/lib/libpjsua2.$(SHLIB_SUFFIX) \
+APP_LIBXX_FILES += $(PJ_DIR)/pjsip/lib/libpjgnutlssua2.$(SHLIB_SUFFIX).$(PJ_VERSION_MAJOR) $(PJ_DIR)/pjsip/lib/libpjgnutlssua2.$(SHLIB_SUFFIX) \
 	$(ADD_LIB_FILES)
 endif
 
diff -rupN pjproject-2.5.5/libpjproject.pc.in pjproject-2.5.5-new/libpjproject.pc.in
--- pjproject-2.5.5/libpjproject.pc.in	2014-03-06 04:33:40.000000000 +0100
+++ pjproject-2.5.5-new/libpjproject.pc.in	2017-01-05 14:15:09.540515353 +0100
@@ -5,7 +5,7 @@ exec_prefix=${prefix}
 libdir=@LIBDIR@
 includedir=@INCLUDEDIR@
 
-Name: libpjproject
+Name: libpjproject-gnutls
 Description: Multimedia communication library
 URL: http://www.pjsip.org
 Version: @PJ_VERSION@
diff -rupN pjproject-2.5.5/Makefile pjproject-2.5.5-new/Makefile
--- pjproject-2.5.5/Makefile	2017-01-05 14:15:08.887521750 +0100
+++ pjproject-2.5.5-new/Makefile	2017-01-05 14:15:09.541515343 +0100
@@ -55,16 +55,16 @@ doc:
 		fi; \
 	done
 	
-LIBS = 	pjlib/lib/libpj-$(TARGET_NAME).a \
-	pjlib-util/lib/libpjlib-util-$(TARGET_NAME).a \
-	pjnath/lib/libpjnath-$(TARGET_NAME).a \
-	pjmedia/lib/libpjmedia-$(TARGET_NAME).a \
-	pjmedia/lib/libpjmedia-audiodev-$(TARGET_NAME).a \
-	pjmedia/lib/libpjmedia-codec-$(TARGET_NAME).a \
-    	pjsip/lib/libpjsip-$(TARGET_NAME).a \
-	pjsip/lib/libpjsip-ua-$(TARGET_NAME).a \
-	pjsip/lib/libpjsip-simple-$(TARGET_NAME).a \
-	pjsip/lib/libpjsua-$(TARGET_NAME).a
+LIBS = 	pjlib/lib/libpjgnutls-$(TARGET_NAME).a \
+	pjlib-util/lib/libpjgnutlslib-util-$(TARGET_NAME).a \
+	pjnath/lib/libpjgnutlsnath-$(TARGET_NAME).a \
+	pjmedia/lib/libpjgnutlsmedia-$(TARGET_NAME).a \
+	pjmedia/lib/libpjgnutlsmedia-audiodev-$(TARGET_NAME).a \
+	pjmedia/lib/libpjgnutlsmedia-codec-$(TARGET_NAME).a \
+    	pjsip/lib/libpjgnutlssip-$(TARGET_NAME).a \
+	pjsip/lib/libpjgnutlssip-ua-$(TARGET_NAME).a \
+	pjsip/lib/libpjgnutlssip-simple-$(TARGET_NAME).a \
+	pjsip/lib/libpjgnutlssua-$(TARGET_NAME).a
 BINS = 	pjsip-apps/bin/pjsua-$(TARGET_NAME)$(HOST_EXE) 
 
 size:
@@ -125,17 +125,17 @@ install:
 		cp -RLf $$d/include/* $(DESTDIR)$(includedir)/; \
 	done
 	mkdir -p $(DESTDIR)$(libdir)/pkgconfig
-	sed -e "s!@PREFIX@!$(prefix)!" libpjproject.pc.in | \
+	sed -e "s!@PREFIX@!$(prefix)!" libpjproject.pc.in | \
 		sed -e "s!@INCLUDEDIR@!$(includedir)!" | \
 		sed -e "s!@LIBDIR@!$(libdir)!" | \
 		sed -e "s/@PJ_VERSION@/$(PJ_VERSION)/" | \
 		sed -e "s!@PJ_LDLIBS@!!" | \
 		sed -e "s!@PJ_LDXXLIBS@!$(PJ_LDXXLIBS)!" | \
 		sed -e "s!@PJ_INSTALL_CFLAGS@!!" | \
-		sed -e "s!@PJ_INSTALL_CXXFLAGS@!$(PJ_INSTALL_CXXFLAGS)!" > $(DESTDIR)/$(libdir)/pkgconfig/libpjproject.pc
+		sed -e "s!@PJ_INSTALL_CXXFLAGS@!$(PJ_INSTALL_CXXFLAGS)!" > $(DESTDIR)/$(libdir)/pkgconfig/libpjproject-gnutls.pc
 
 uninstall:
-	$(RM) $(DESTDIR)$(libdir)/pkgconfig/libpjproject.pc
+	$(RM) $(DESTDIR)$(libdir)/pkgconfig/libpjproject-gnutls.pc
 	-rmdir $(DESTDIR)$(libdir)/pkgconfig 2> /dev/null
 	for d in pjlib pjlib-util pjnath pjmedia pjsip; do \
 		for f in $$d/include/*; do \
diff -rupN pjproject-2.5.5/Makefile.rej pjproject-2.5.5-new/Makefile.rej
--- pjproject-2.5.5/Makefile.rej	1970-01-01 01:00:00.000000000 +0100
+++ pjproject-2.5.5-new/Makefile.rej	2017-01-05 14:15:09.541515343 +0100
@@ -0,0 +1,15 @@
+--- Makefile	2016-07-16 23:54:16.530455897 +0200
++++ Makefile	2016-07-16 23:54:16.943458606 +0200
+@@ -132,10 +132,10 @@ install:
+ 		sed -e "s!@PJ_LDLIBS@!!" | \
+ 		sed -e "s!@PJ_LDXXLIBS@!$(PJ_LDXXLIBS)!" | \
+ 		sed -e "s!@PJ_INSTALL_CFLAGS@!!" | \
+-		sed -e "s!@PJ_INSTALL_CXXFLAGS@!!" > $(DESTDIR)/$(libdir)/pkgconfig/libpjproject.pc
++		sed -e "s!@PJ_INSTALL_CXXFLAGS@!!" > $(DESTDIR)/$(libdir)/pkgconfig/libpjproject-gnutls.pc
+ 
+ uninstall:
+-	$(RM) $(DESTDIR)$(libdir)/pkgconfig/libpjproject.pc
++	$(RM) $(DESTDIR)$(libdir)/pkgconfig/libpjproject-gnutls.pc
+ 	-rmdir $(DESTDIR)$(libdir)/pkgconfig 2> /dev/null
+ 	for d in pjlib pjlib-util pjnath pjmedia pjsip; do \
+ 		for f in $$d/include/*; do \
diff -rupN pjproject-2.5.5/pjlib/build/Makefile pjproject-2.5.5-new/pjlib/build/Makefile
--- pjproject-2.5.5/pjlib/build/Makefile	2017-01-05 14:15:08.887521750 +0100
+++ pjproject-2.5.5-new/pjlib/build/Makefile	2017-01-05 14:15:09.541515343 +0100
@@ -7,11 +7,11 @@ export BINDIR := ../bin
 
 RULES_MAK := $(PJDIR)/build/rules.mak
 
-export PJLIB_LIB := libpj-$(TARGET_NAME)$(LIBEXT)
+export PJLIB_LIB := libpjgnutls-$(TARGET_NAME)$(LIBEXT)
 
 ifeq ($(PJ_SHARED_LIBRARIES),)
 else
-export PJLIB_SONAME := libpj.$(SHLIB_SUFFIX)
+export PJLIB_SONAME := libpjgnutls.$(SHLIB_SUFFIX)
 export PJLIB_SHLIB := $(PJLIB_SONAME).$(PJ_VERSION_MAJOR)
 endif
 
diff -rupN pjproject-2.5.5/pjlib-util/build/Makefile pjproject-2.5.5-new/pjlib-util/build/Makefile
--- pjproject-2.5.5/pjlib-util/build/Makefile	2017-01-05 14:15:08.887521750 +0100
+++ pjproject-2.5.5-new/pjlib-util/build/Makefile	2017-01-05 14:15:09.541515343 +0100
@@ -11,13 +11,13 @@ export BINDIR := ../bin
 
 RULES_MAK := $(PJDIR)/build/rules.mak
 
-PJLIB_LIB:=$(PJDIR)/pjlib/lib/libpj-$(TARGET_NAME)$(LIBEXT)
+PJLIB_LIB:=$(PJDIR)/pjlib/lib/libpjgnutls-$(TARGET_NAME)$(LIBEXT)
 
-export PJLIB_UTIL_LIB := libpjlib-util-$(TARGET_NAME)$(LIBEXT)
+export PJLIB_UTIL_LIB := libpjgnutlslib-util-$(TARGET_NAME)$(LIBEXT)
 
 ifeq ($(PJ_SHARED_LIBRARIES),)
 else
-export PJLIB_UTIL_SONAME := libpjlib-util.$(SHLIB_SUFFIX)
+export PJLIB_UTIL_SONAME := libpjgnutlslib-util.$(SHLIB_SUFFIX)
 export PJLIB_UTIL_SHLIB := $(PJLIB_UTIL_SONAME).$(PJ_VERSION_MAJOR)
 endif
 
diff -rupN pjproject-2.5.5/pjmedia/build/Makefile pjproject-2.5.5-new/pjmedia/build/Makefile
--- pjproject-2.5.5/pjmedia/build/Makefile	2017-01-05 14:15:08.888521740 +0100
+++ pjproject-2.5.5-new/pjmedia/build/Makefile	2017-01-05 14:15:09.541515343 +0100
@@ -10,27 +10,27 @@ export BINDIR := ../bin
 
 RULES_MAK := $(PJDIR)/build/rules.mak
 
-PJLIB_LIB:=$(PJDIR)/pjlib/lib/libpj-$(TARGET_NAME)$(LIBEXT)
-PJLIB_UTIL_LIB:=$(PJDIR)/pjlib-util/lib/libpjlib-util-$(TARGET_NAME)$(LIBEXT)
-PJNATH_LIB:=$(PJDIR)/pjnath/lib/libpjnath-$(TARGET_NAME)$(LIBEXT)
+PJLIB_LIB:=$(PJDIR)/pjlib/lib/libpjgnutls-$(TARGET_NAME)$(LIBEXT)
+PJLIB_UTIL_LIB:=$(PJDIR)/pjlib-util/lib/libpjgnutlslib-util-$(TARGET_NAME)$(LIBEXT)
+PJNATH_LIB:=$(PJDIR)/pjnath/lib/libpjgnutlsnath-$(TARGET_NAME)$(LIBEXT)
 
-export PJMEDIA_LIB:=libpjmedia-$(TARGET_NAME)$(LIBEXT)
-export PJMEDIA_CODEC_LIB:=libpjmedia-codec-$(TARGET_NAME)$(LIBEXT)
+export PJMEDIA_LIB:=libpjgnutlsmedia-$(TARGET_NAME)$(LIBEXT)
+export PJMEDIA_CODEC_LIB:=libpjgnutlsmedia-codec-$(TARGET_NAME)$(LIBEXT)
 export PJSDP_LIB:=libpjsdp-$(TARGET_NAME)$(LIBEXT)
-export PJMEDIA_AUDIODEV_LIB:=libpjmedia-audiodev-$(TARGET_NAME)$(LIBEXT)
-export PJMEDIA_VIDEODEV_LIB:=libpjmedia-videodev-$(TARGET_NAME)$(LIBEXT)
+export PJMEDIA_AUDIODEV_LIB:=libpjgnutlsmedia-audiodev-$(TARGET_NAME)$(LIBEXT)
+export PJMEDIA_VIDEODEV_LIB:=libpjgnutlsmedia-videodev-$(TARGET_NAME)$(LIBEXT)
 
 ifeq ($(PJ_SHARED_LIBRARIES),)
 else
-export PJMEDIA_SONAME:=libpjmedia.$(SHLIB_SUFFIX)
+export PJMEDIA_SONAME:=libpjgnutlsmedia.$(SHLIB_SUFFIX)
 export PJMEDIA_SHLIB:=$(PJMEDIA_SONAME).$(PJ_VERSION_MAJOR)
-export PJMEDIA_CODEC_SONAME:=libpjmedia-codec.$(SHLIB_SUFFIX)
+export PJMEDIA_CODEC_SONAME:=libpjgnutlsmedia-codec.$(SHLIB_SUFFIX)
 export PJMEDIA_CODEC_SHLIB:=$(PJMEDIA_CODEC_SONAME).$(PJ_VERSION_MAJOR)
-export PJSDP_SONAME:=libpjsdp.$(SHLIB_SUFFIX)
+export PJSDP_SONAME:=libpjgnutlssdp.$(SHLIB_SUFFIX)
 export PJSDP_SHLIB:=$(PJSDP_SONAME).$(PJ_VERSION_MAJOR)
-export PJMEDIA_AUDIODEV_SONAME:=libpjmedia-audiodev.$(SHLIB_SUFFIX)
+export PJMEDIA_AUDIODEV_SONAME:=libpjgnutlsmedia-audiodev.$(SHLIB_SUFFIX)
 export PJMEDIA_AUDIODEV_SHLIB:=$(PJMEDIA_AUDIODEV_SONAME).$(PJ_VERSION_MAJOR)
-export PJMEDIA_VIDEODEV_SONAME:=libpjmedia-videodev.$(SHLIB_SUFFIX)
+export PJMEDIA_VIDEODEV_SONAME:=libpjgnutlsmedia-videodev.$(SHLIB_SUFFIX)
 export PJMEDIA_VIDEODEV_SHLIB:=$(PJMEDIA_VIDEODEV_SONAME).$(PJ_VERSION_MAJOR)
 endif
 
diff -rupN pjproject-2.5.5/pjnath/build/Makefile pjproject-2.5.5-new/pjnath/build/Makefile
--- pjproject-2.5.5/pjnath/build/Makefile	2017-01-05 14:15:08.888521740 +0100
+++ pjproject-2.5.5-new/pjnath/build/Makefile	2017-01-05 14:15:09.541515343 +0100
@@ -11,14 +11,14 @@ export BINDIR := ../bin
 
 RULES_MAK := $(PJDIR)/build/rules.mak
 
-PJLIB_LIB:=../../pjlib/lib/libpj-$(TARGET_NAME)$(LIBEXT)
-PJLIB_UTIL_LIB:=../../pjlib-util/lib/libpjlib-util-$(TARGET_NAME)$(LIBEXT)
+PJLIB_LIB:=../../pjlib/lib/libpjgnutls-$(TARGET_NAME)$(LIBEXT)
+PJLIB_UTIL_LIB:=../../pjlib-util/lib/libpjgnutlslib-util-$(TARGET_NAME)$(LIBEXT)
 
-export PJNATH_LIB:=libpjnath-$(TARGET_NAME)$(LIBEXT)
+export PJNATH_LIB:=libpjgnutlsnath-$(TARGET_NAME)$(LIBEXT)
 
 ifeq ($(PJ_SHARED_LIBRARIES),)
 else
-export PJNATH_SONAME := libpjnath.$(SHLIB_SUFFIX)
+export PJNATH_SONAME := libpjgnutlsnath.$(SHLIB_SUFFIX)
 export PJNATH_SHLIB := $(PJNATH_SONAME).$(PJ_VERSION_MAJOR)
 endif
 
diff -rupN pjproject-2.5.5/pjsip/build/Makefile pjproject-2.5.5-new/pjsip/build/Makefile
--- pjproject-2.5.5/pjsip/build/Makefile	2017-01-05 14:15:08.888521740 +0100
+++ pjproject-2.5.5-new/pjsip/build/Makefile	2017-01-05 14:15:09.541515343 +0100
@@ -12,28 +12,28 @@ export BINDIR := ../bin
 
 RULES_MAK := $(PJDIR)/build/rules.mak
 
-PJLIB_LIB:=../../pjlib/lib/libpj-$(TARGET_NAME)$(LIBEXT)
-PJLIB_UTIL_LIB:=../../pjlib-util/lib/libpjlib-util-$(TARGET_NAME)$(LIBEXT)
-PJNATH_LIB:=../../pjnath/lib/libpjnath-$(TARGET_NAME)$(LIBEXT)
-PJMEDIA_LIB:=../../pjmedia/lib/libpjmedia-$(TARGET_NAME)$(LIBEXT)
+PJLIB_LIB:=../../pjlib/lib/libpjgnutls-$(TARGET_NAME)$(LIBEXT)
+PJLIB_UTIL_LIB:=../../pjlib-util/lib/libpjgnutlslib-util-$(TARGET_NAME)$(LIBEXT)
+PJNATH_LIB:=../../pjnath/lib/libpjgnutlsnath-$(TARGET_NAME)$(LIBEXT)
+PJMEDIA_LIB:=../../pjmedia/lib/libpjgnutlsmedia-$(TARGET_NAME)$(LIBEXT)
 
-export PJSIP_LIB:=libpjsip-$(TARGET_NAME)$(LIBEXT)
-export PJSIP_UA_LIB:=libpjsip-ua-$(TARGET_NAME)$(LIBEXT)
-export PJSIP_SIMPLE_LIB:=libpjsip-simple-$(TARGET_NAME)$(LIBEXT)
-export PJSUA_LIB_LIB:=libpjsua-$(TARGET_NAME)$(LIBEXT)
-export PJSUA2_LIB_LIB=libpjsua2-$(TARGET_NAME)$(LIBEXT)
+export PJSIP_LIB:=libpjgnutlssip-$(TARGET_NAME)$(LIBEXT)
+export PJSIP_UA_LIB:=libpjgnutlssip-ua-$(TARGET_NAME)$(LIBEXT)
+export PJSIP_SIMPLE_LIB:=libpjgnutlssip-simple-$(TARGET_NAME)$(LIBEXT)
+export PJSUA_LIB_LIB:=libpjgnutlssua-$(TARGET_NAME)$(LIBEXT)
+export PJSUA2_LIB_LIB=libpjgnutlssua2-$(TARGET_NAME)$(LIBEXT)
 
 ifeq ($(PJ_SHARED_LIBRARIES),)
 else
-export PJSIP_SONAME := libpjsip.$(SHLIB_SUFFIX)
+export PJSIP_SONAME := libpjgnutlssip.$(SHLIB_SUFFIX)
 export PJSIP_SHLIB := $(PJSIP_SONAME).$(PJ_VERSION_MAJOR)
-export PJSIP_UA_SONAME := libpjsip-ua.$(SHLIB_SUFFIX)
+export PJSIP_UA_SONAME := libpjgnutlssip-ua.$(SHLIB_SUFFIX)
 export PJSIP_UA_SHLIB := $(PJSIP_UA_SONAME).$(PJ_VERSION_MAJOR)
-export PJSIP_SIMPLE_SONAME := libpjsip-simple.$(SHLIB_SUFFIX)
+export PJSIP_SIMPLE_SONAME := libpjgnutlssip-simple.$(SHLIB_SUFFIX)
 export PJSIP_SIMPLE_SHLIB := $(PJSIP_SIMPLE_SONAME).$(PJ_VERSION_MAJOR)
-export PJSUA_LIB_SONAME := libpjsua.$(SHLIB_SUFFIX)
+export PJSUA_LIB_SONAME := libpjgnutlssua.$(SHLIB_SUFFIX)
 export PJSUA_LIB_SHLIB := $(PJSUA_LIB_SONAME).$(PJ_VERSION_MAJOR)
-export PJSUA2_LIB_SONAME := libpjsua2.$(SHLIB_SUFFIX)
+export PJSUA2_LIB_SONAME := libpjgnutlssua2.$(SHLIB_SUFFIX)
 export PJSUA2_LIB_SHLIB := $(PJSUA2_LIB_SONAME).$(PJ_VERSION_MAJOR)
 endif
 
diff -rupN pjproject-2.5.5/pjsip-apps/src/swig/java/Makefile pjproject-2.5.5-new/pjsip-apps/src/swig/java/Makefile
--- pjproject-2.5.5/pjsip-apps/src/swig/java/Makefile	2016-07-20 07:21:51.000000000 +0200
+++ pjproject-2.5.5-new/pjsip-apps/src/swig/java/Makefile	2017-01-05 14:15:09.542515334 +0100
@@ -18,12 +18,12 @@ ifeq ($(OS),Windows_NT)
   LIBPJSUA2_SO=$(OUT_DIR)/pjsua2.dll
 else
   ifeq ($(OS),darwin)
-    LIBPJSUA2_SO=$(OUT_DIR)/libpjsua2.jnilib
+    LIBPJSUA2_SO=$(OUT_DIR)/libpjgnutlssua2.jnilib
   else
     ifeq ($(OS),android)
-      LIBPJSUA2_SO=android/libs/armeabi/libpjsua2.so
+      LIBPJSUA2_SO=android/libs/armeabi/libpjgnutlssua2.so
     else
-      LIBPJSUA2_SO=$(OUT_DIR)/libpjsua2.so
+      LIBPJSUA2_SO=$(OUT_DIR)/libpjgnutlssua2.so
     endif
   endif
 endif
diff -rupN pjproject-2.5.5/README.txt pjproject-2.5.5-new/README.txt
--- pjproject-2.5.5/README.txt	2016-05-17 12:03:32.000000000 +0200
+++ pjproject-2.5.5-new/README.txt	2017-01-05 14:15:09.542515334 +0100
@@ -926,7 +926,7 @@ Using Default Settings
                 including PJ's build.mak file from the root PJ directory (the
                 suffix is contained in TARGET_NAME variable). For example, to
                 link with PJLIB and PJMEDIA, we can use this syntax in the
-                LDFLAGS: "-lpj-$(TARGET_NAME) -lpjmedia-$(TARGET_NAME)"
+                LDFLAGS: "-lpjgnutls-$(TARGET_NAME) -lpjgnutlsmedia-$(TARGET_NAME)"
 
 
     6. Link with system spesific libraries:
